{
  "model": {
    "type": "minecraft:condition",
    "component": "acesbs:smoking",
    "on_false": {
      "type": "minecraft:model",
      "model": "acesbs:item/cigarette"
    },
    "on_true": {
      "type": "minecraft:model",
      "model": "acesbs:item/cigarette_smoking"
    },
    "property": "minecraft:has_component"
  }
}